Phar::decompressFiles
Phar::delete
Phar
PHP Manual

# Phar::delMetadata

(PECL phar:1.2.0-1.2.1)

Phar::delMetadata — Deletes the global metadata of the phar

### Description

int Phar::delMetadata ( void )

> Note: This method requires the php.ini setting phar.readonly to be set to 0 in order to work for Phar objects. Otherwise, a PharException will be thrown.

Deletes the global metadata of the phar

### Parameters

### Return Values

returns `TRUE` on success, but it is better to check for thrown exception, and assume success if none is thrown.

### Errors/Exceptions

Throws PharException if errors occur while flushing changes to disk.

### Examples

Example #1 A Phar::delMetaData() example

`<?php
try {
$phar = new Phar('myphar.phar');
var_dump($phar->getMetadata());
$phar->setMetadata("hi there");
var_dump($phar->getMetadata());
$phar->delMetadata();
var_dump($phar->getMetadata());
} catch (Exception $e) {
// handle errors
}
?>`

The above example will output:

    NULL
    string(8) "hi there"
    NULL

### See Also

- Phar::getMetadata()
- Phar::setMetadata()
- Phar::hasMetadata()

Phar::decompressFiles
Phar::delete
Phar
PHP Manual